org.eclipse.ease.ui.completion

## Interface ICompletionProvider

All Known Implementing Classes:
  AbstractCompletionProvider, AbstractFileLocationCompletionProvider, EnvironmentLocationCompletionProvider, LoadedModuleCompletionProvider, LoadModuleCompletionProvider, PythonCompletionProviderWrapper, VariablesCompletionProvider

    public interface ICompletionProvider

### Field Summary

Fields
`static boolean` `TRACE_CODE_COMPLETION` Trace enablement for code completion.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Collection<? extends ScriptCompletionProposal>` `getProposals(ICompletionContext context)` Calculate all matching proposals for given `ICompletionContext`.
`boolean` `isActive(ICompletionContext context)` Query indicating that this providers completion proposals should be taken into account.

### Field Detail

#### TRACE_CODE_COMPLETION

    static final boolean TRACE_CODE_COMPLETION

Trace enablement for code completion.

### Method Detail

#### getProposals

    java.util.Collection<? extends ScriptCompletionProposal> getProposals(ICompletionContext context)

Calculate all matching proposals for given `ICompletionContext`.

Parameters:
  `context` - `ICompletionContext` with necessary information to calculate proposals.
Returns:
  Collection of matching proposals.

#### isActive

    boolean isActive(ICompletionContext context)

Query indicating that this providers completion proposals should be taken into account.

Parameters:
  `context` - `ICompletionContext` with necessary information to calculate proposals.
Returns:
  `true` when active